Shared lint rules for bpmn.io projects


Keywords
eslint, lint, rules, bpmn.io
License
MIT
Install
npm install eslint-plugin-bpmn-io@0.11.0

Documentation

eslint-plugin-bpmn-io

Build Status

Commont lint rules for bpmn.io projects.

Use

Extend bpmn-io/* in your base eslint configuration:

{
  "extends": "plugin:bpmn-io/es6"
}

If you use mocha for testing, place another .eslintrc into your test folder and extend from bpmn-io/mocha:

{
  "extends": "plugin:bpmn-io/mocha"
}

Available Recommended Configurations

We ship with a few blue prints:

  • bpmn-io/es5: Use for ES5 style projects / node libraries
  • bpmn-io/es6: Use for modern, ES2015 based projects
  • bpmn-io/jsx: Use jsx in conjunction with es6
  • bpmn-io/mocha: Use for libraries tested with mocha + chai

License

MIT